---
title: 'Element: overflow event'
slug: Web/API/Element/overflow_event
tags:
  - Event
---
<div>{{APIRef}}</div>

<div>{{Non-standard_header}}</div>

<p>The <code>overflow</code> event is fired when an element has been overflowed by its content or has been rendered for the first time in this state (only works for elements styled with overflow != visible).</p>

<p>It is a proprietary event specific to Gecko (Firefox).</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("UIEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>Unknown</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<pre class="brush:html;">&lt;div id="wrapper"&gt;
    &lt;div id="child"&gt;&lt;/div&gt;
&lt;/div&gt;
&lt;br/&gt;
&lt;label&gt;&lt;input type="checkbox" id="toggle" checked/&gt; Overflow&lt;/label&gt;

&lt;style&gt;
 #wrapper {
    width: 20px;
    height: 20px;
    background: #000;
    padding: 5px;
    overflow: hidden;
  }

  #child {
    width: 40px;
    height: 40px;
    border: 2px solid grey;
    background: #ccc;
  }
&lt;/style&gt;

&lt;script&gt;
  var wrapper = document.getElementById("wrapper"),
      child = document.getElementById("child"),
      toggle = document.getElementById("toggle");

  wrapper.addEventListener("overflow", function( event ) {
      console.log( event );
  }, false);

  wrapper.addEventListener("underflow", function( event ) {
      console.log( event );
  }, false);

  toggle.addEventListener("change", function( event ) {
      if ( event.target.checked ) {
          child.style.width = "40px";
          child.style.height = "40px";
      } else {
          child.style.width = "10px";
          child.style.height = "10px";
      }

  }, false);
&lt;/script&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.overflow_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events: <a href="/en-US/docs/Mozilla_event_reference/underflow"><code>underflow</code></a></li>
</ul>
